io.vertx.redis.op

## Class GeoMember

- java.lang.Object
- - io.vertx.redis.op.GeoMember

-     public class GeoMember
      extends Object

  Author:
    Paulo Lopes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeoMember()`
    `GeoMember(GeoMember obj)`
    `GeoMember(JsonObject obj)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GeoMember` | `setLatitude(Double val)` Set Latitude as per EPSG:900913 / EPSG:3785 / OSGEO:41001
    `GeoMember` | `setLongitude(Double val)` Set Longitude as per EPSG:900913 / EPSG:3785 / OSGEO:41001
    `GeoMember` | `setMember(String val)` Set the member name.
    `JsonObject` | `toJson()`
    `JsonArray` | `toJsonArray()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeoMember

          public GeoMember()

    - #### GeoMember

          public GeoMember(GeoMember obj)

    - #### GeoMember

          public GeoMember(JsonObject obj)

  - ### Method Detail

    - #### setLongitude

          public GeoMember setLongitude(Double val)

      Set Longitude as per EPSG:900913 / EPSG:3785 / OSGEO:41001
      Parameters:
        `val` - Valid longitudes are from -180 to 180 degrees
      Returns:
        self

    - #### setLatitude

          public GeoMember setLatitude(Double val)

      Set Latitude as per EPSG:900913 / EPSG:3785 / OSGEO:41001
      Parameters:
        `val` - Valid latitudes are from -85.05112878 to 85.05112878 degrees.
      Returns:
        self

    - #### setMember

          public GeoMember setMember(String val)

      Set the member name.
      Parameters:
        `val` - the name given
      Returns:
        self

    - #### toJson

          public JsonObject toJson()

    - #### toJsonArray

          public JsonArray toJsonArray()

Copyright © 2018 Eclipse. All rights reserved.